#!/bin/bash
SCRIPTHOME=$( cd -- "$( dirname -- "${BASH_SOURCE[0]}" )" &> /dev/null && pwd )

secho() {
	for ((i=0;i<$1;i++)); do echo ""; done
	echo $2
}

sudo echo -n ""
if [ $(whoami) = "root" ]; then
	echo "sudo せずに実行してください"
	exit 0
fi

cd $SCRIPTHOME/backup

echo "=== kopano, gitea, rordbコンテナの停止"
sudo docker container stop kopano gitea rordb

secho 3 "=== バックアップコンテナの起動"
sudo docker compose up --build

secho 3 "=== バックアップコンテナの削除"
sudo docker compose down

secho 3 "=== kopano, gitea, rordbコンテナの起動"
sudo docker container start kopano gitea rordb

secho 3 "=== バックアップ完了(&SCRIPTHOME/backup/backups)"
exit
